about summary refs log tree commit diff
path: root/third_party/cpp/googleapis/ci/install-grpc.sh
diff options
context:
space:
mode:
authorVincent Ambo <tazjin@google.com>2020-02-26T14·22+0000
committerVincent Ambo <tazjin@google.com>2020-02-26T14·22+0000
commit4bdb118d6e9fe02effa9199f48796dcec04a24b0 (patch)
tree5dd95a2bd05169f61c35de02584f302426537548 /third_party/cpp/googleapis/ci/install-grpc.sh
parent438050b3d9c0e1dcfe7e26d9446e19fff97ccf88 (diff)
parentc873fd3aa14fb0d8696588117b5f79693381ba3c (diff)
Add 'third_party/cpp/googleapis/' from commit 'c873fd3aa14fb0d8696588117b5f79693381ba3c' r/581
git-subtree-dir: third_party/cpp/googleapis
git-subtree-mainline: 438050b3d9c0e1dcfe7e26d9446e19fff97ccf88
git-subtree-split: c873fd3aa14fb0d8696588117b5f79693381ba3c
Diffstat (limited to 'third_party/cpp/googleapis/ci/install-grpc.sh')
-rwxr-xr-xthird_party/cpp/googleapis/ci/install-grpc.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/third_party/cpp/googleapis/ci/install-grpc.sh b/third_party/cpp/googleapis/ci/install-grpc.sh
new file mode 100755
index 0000000000..759b355bb5
--- /dev/null
+++ b/third_party/cpp/googleapis/ci/install-grpc.sh
@@ -0,0 +1,41 @@
+#!/usr/bin/env bash
+# Copyright 2019 Google LLC
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -eu
+
+mkdir -p /var/tmp/Downloads
+cd /var/tmp/Downloads
+
+# Install protobuf
+wget -q https://github.com/google/protobuf/archive/v3.8.0.tar.gz
+tar -xf v3.8.0.tar.gz
+(cd protobuf-3.8.0/cmake;
+ cmake \
+   -DCMAKE_BUILD_TYPE=Release \
+   -DBUILD_SHARED_LIBS=yes \
+   -Dprotobuf_BUILD_TESTS=OFF \
+   -H. -Bcmake-out
+ cmake --build cmake-out --target install -- -j "$(nproc)"
+ ldconfig
+)
+
+# Install grpc
+wget -q https://github.com/grpc/grpc/archive/v1.22.0.tar.gz
+tar -xf v1.22.0.tar.gz
+(cd grpc-1.22.0;
+ make -j "$(nproc)"
+ make install
+ ldconfig
+)